Subject: multiple owners

From: [email-masked] (Jeff Prothero)
Date: Fri, 26 Feb 1993 17:22:14 -0800

[This message got diverted by a bug in the mail system here at PARC; I have
re-typed it from a paper copy.  --Pavel]

Hmm.  As I admitted a few posts back, I've something of an
anti-group bias.  But the recent collection of points on
this subject, en toto, seem to provide a fairly strong
argument in favor of groups:
 o  There's clearly a perceived need for objects which more than
    one person (but less than everyone) has rights to.
 o  Shared accounts have been objected to on grounds of accountability.
 o  Multiple owners, at least in the most naive implementation, has the
    same lack of accountability:  if the object is listed as owned by a
    group, one doesn't know who really to pin the blame/credit on.
 o  It seems quite likely that, in a group effort, some folks will want
    to share some of their privileges over an object with the group,
    without perhaps giving up all of them to the group.  E.g., if someone
    is responsible for maintaining a tool for in-group use, they may wish
    to make it readable executable, without wanting to open it up to random
    writing by anyone in the group.
Looks to me like one has to do one of:
 o  Give up idea of collective property
 o  Give up idea of individual accountability
 o  Sigh and introduce groups, distinct from owners and world, and most
    likely with independent protection bits/strings/whatever.
One doesn't need to >call< them groups, and perhaps the server doesn't
need to know about them... but that doesn't alter the argument much.